﻿using Microsoft.SharePoint;
using Microsoft.SharePoint.WebPartPages;
using System;
using System.Collections.Generic;
using System.Data;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using YammerWebPart1.VisualWebPart1.CustomTools;

namespace YammerWebPart1.VisualWebPart1
{
    public partial class VisualWebPart1UserControl : UserControl
    {
        public VisualWebPart1 WP { get; set; }

        public VisualWebPart1UserControl()
        {

        }

        protected void Page_Load(object sender, EventArgs e)
        {
            this.Page.ClientScript.RegisterClientScriptInclude(this.GetType(), "jquery", "/_layouts/15/yammer4sharepoint/js/jquery-1.10.2.min.js");
            this.Page.ClientScript.RegisterClientScriptInclude(this.GetType(), "yammer4sharepoint_script", "/_layouts/15/yammer4sharepoint/js/yammer4sharepoint.js");

        }

        protected override void CreateChildControls()
        {
            if (WP != null)
            {
                List<YammerWebPart1.VisualWebPart1.VisualWebPart1.Discussion> l = new List<YammerWebPart1.VisualWebPart1.VisualWebPart1.Discussion>();
                l.Add(WP.ChosenDiscussion);
               
                this.dataList.DataSource = l;
                this.dataList.DataBind();
            }
            else
            {
                List<YammerWebPart1.VisualWebPart1.VisualWebPart1.Discussion> l = new List<YammerWebPart1.VisualWebPart1.VisualWebPart1.Discussion>();
                l.Add(new YammerWebPart1.VisualWebPart1.VisualWebPart1.Discussion() { Name = "messages" });

                this.dataList.DataSource = l;
                this.dataList.DataBind();
            }

            base.CreateChildControls();
        }


        
    }
}
